import QtQuick 2.10
import QtQuick.Window 2.10
import QtQuick.Controls 2.3

Window {
    visible: true
    width: 640
    height: 480
    title: qsTr("Hello World")

    StackView {
        id: stackView
        initialItem: initial
    }

    Component {
        id: initial

        Column {
            Label {
                text: "First page"
            }
            Button {
                text: "Popup"
                onClicked: firstPopup.open()
            }
            Button {
                text: "Push"
                onClicked: stackView.push(pushed)
            }

            Popup {
                id: firstPopup

                height: 300
                width: 200

                Column {
                    anchors.fill: parent
                    Label {
                        text: "First popup"
                    }
                    TextField {}
                }
            }
        }
    }

    Component {
        id: pushed

        Column {
            id: root
            Label {
                text: "Second page"
            }
            Button {
                text: "Pop"
                onClicked: goBack()
            }

            function tryBack(cb) {
                doAlert(root, cb)
            }
        }
    }

    function goBack() {
        stackView.currentItem.tryBack(function () {
            stackView.pop()
        })
    }

    function doAlert(parent, callback) {
        var component = Qt.createComponent("testpopup.qml")
        var popup = component.createObject(parent)

        popup.positiveClicked.connect(callback)

        popup.open()
        return popup
    }
}
