import QtQuick 2.10
import QtQuick.Controls 2.3
import QtQuick.Layouts 1.3
import QtQuick.Controls.Material 2.3

Popup {
    id: generalPopup
    modal: true

    signal positiveClicked

    //This Z value is what causes the leftover Rectangle from the Popup to
    //cover other Popup elements later on. Removing it fixes it, but I have a use case
    //where I need to make sure this popup is below another and that is why I set it.
    //Removing the z value here although it will fix the popups from being blocked, does not
    //fix the rectangle from still lingering around, as observed using GammaRay.
    z: 1000

    Column {
        width: 450

        Label {
            text: "Some text"
            width: parent.width
        }

        Button {
            text: "OK"
            onClicked: {
                close()
                positiveClicked()
            }
        }
    }
}
